scala.tools.nsc.backend.jvm.BTypes

# BOOL

#### object BOOL extends PrimitiveBType with Product with Serializable

Source
  BTypes.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, PrimitiveBType, BType, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BOOL
2. Serializable
3. Serializable
4. Product
5. Equals
6. PrimitiveBType
7. BType
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asArrayBType: ArrayBType

   Definition Classes
     BType

5. #### def asClassBType: ClassBType

   Definition Classes
     BType

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def asPrimitiveBType: PrimitiveBType

   Definition Classes
     BType

8. #### def asRefBType: RefBType

   Definition Classes
     BType

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def conformsTo(other: BType): Boolean

    Definition Classes
      BType

11. #### final def descriptor: String

    returns

      The Java descriptor of this type. Examples:

      - int: I
      - java.lang.String: Ljava/lang/String;
      - int[]: [I
      - Object m(String s, double d): (Ljava/lang/String;D)Ljava/lang/Object;
    Definition Classes
      BType

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### final def isArray: Boolean

    Definition Classes
      BType

17. #### final def isBoxed: Boolean

    Definition Classes
      BType

18. #### final def isClass: Boolean

    Definition Classes
      BType

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def isIntSizedType: Boolean

    Definition Classes
      BType

21. #### final def isIntegralType: Boolean

    Definition Classes
      BType

22. #### final def isMethod: Boolean

    Definition Classes
      BType

23. #### final def isNonVoidPrimitiveType: Boolean

    Definition Classes
      BType

24. #### final def isNothingType: Boolean

    Definition Classes
      BType

25. #### final def isNullType: Boolean

    Definition Classes
      BType

26. #### final def isNumericType: Boolean

    Definition Classes
      BType

27. #### final def isPrimitive: Boolean

    Definition Classes
      BType

28. #### final def isRealType: Boolean

    Definition Classes
      BType

29. #### final def isRef: Boolean

    Definition Classes
      BType

30. #### final def isWideType: Boolean

    Definition Classes
      BType

31. #### final def maxType(other: BType): BType

    Compute the upper bound of two types.

    Compute the upper bound of two types. Takes promotions of numeric primitives into account.

    Definition Classes
      BType

32. #### final def maxValueType(other: BType): BType

    The upper bound of two primitive types.

    The upper bound of two primitive types. The `other` type has to be either a primitive type or Nothing.

    The maxValueType of (Char, Byte) and of (Char, Short) is Int, to encompass the negative values of Byte and Short. See ticket #2087.

    Definition Classes
      PrimitiveBType

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### final def size: Int

    returns

      0 for void, 2 for long and double, 1 otherwise

    Definition Classes
      BType

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toASMType: Type

    The asm.Type corresponding to this BType.

    The asm.Type corresponding to this BType.

    Note about asm.Type.getObjectType (*): For class types, the method expects the internal name, i.e. without the surrounding 'L' and ';'. For array types on the other hand, the method expects a full descriptor, for example "[Ljava/lang/String;".

    See method asm.Type.getType that creates a asm.Type from a type descriptor

    - for an OBJECT type, the 'L' and ';' are not part of the range of the created Type
    - for an ARRAY type, the full descriptor is part of the range
    Definition Classes
      BType

39. #### final def toString(): String

    Definition Classes
      BType → AnyRef → Any

40. #### final def typedOpcode(opcode: Int): Int

    Some JVM opcodes have typed variants.

    Some JVM opcodes have typed variants. This method returns the correct opcode according to the type.

    opcode

      A JVM instruction opcode. This opcode must be one of ILOAD, ISTORE, IALOAD, IASTORE, IADD, ISUB, IMUL, IDIV, IREM, INEG, ISHL, ISHR, IUSHR, IAND, IOR IXOR and IRETURN.

    returns

      The opcode adapted to this java type. For example, if this type is `float` and `opcode` is `IRETURN`, this method returns `FRETURN`.

    Definition Classes
      BType

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from PrimitiveBType

### Inherited from BType

### Inherited from AnyRef

### Inherited from Any

### Ungrouped